Polarix.io
    • Introduction to the Polarix.io API
    • Polarix.io Interface & Branding
    • Authentication
      POST
    • Users
      GET
    • Project List
      GET
    • Project
      GET
    • Project Structure
      GET
    • Project Lexicon
      GET
    • Project Glossary
      GET
    • Project Tags
      GET
    • Project Items
      GET
    • Project Abbreviations
      GET
    • Project References
      GET
    • Project Resources
      GET
    • Project History
      GET
    • Project Search
      GET

      Project Items

      LIVE
      https://app.polarix.io
      LIVE
      https://app.polarix.io
      GET
      https://app.polarix.io
      /api/{version}/projects/{project_id}/items
      Retrieves Project items based on the {project_id} path parameter. Project ID is retrieved by calling the "Project List" endpoint.

      Request

      Authorization
      Provide your bearer token in the
      Authorization
      header when making requests to protected resources.
      Example:
      Authorization: Bearer ********************
      Path Params

      Query Params

      Header Params

      Request Code Samples

      Shell
      JavaScript
      Java
      Swift
      Go
      PHP
      Python
      HTTP
      C
      C#
      Objective-C
      Ruby
      OCaml
      Dart
      R
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location -g --request GET 'https://app.polarix.io/api/1.0/projects/6582ed0344adfe123d04f772/items?section_id=1&nested=true&project_tag_ids=2,5,7' \
      --header 'x-api-key: bfa770cb2281e260557d5a51462d6194' \
      --header 'Accept: application/json' \
      --header 'Authorization: Bearer <token>'

      Responses

      🟢200Success — JSON
      application/json
      Body

      Example
      [
          {
              "id": 1,
              "title": "Glioblastomas are incurable malignant brain tumors with extremely poor prognosis.",
              "section_id": 9,
              "user_id": 1,
              "pos": 0,
              "status": "pending",
              "parent_id": null,
              "revisions_count": 1,
              "prefix": "1",
              "children": [
                  {
                      "id": 9,
                      "title": null,
                      "section_id": 10,
                      "user_id": 1,
                      "pos": 0,
                      "status": "pending",
                      "parent_id": 1,
                      "revisions_count": 5,
                      "prefix": "1.1",
                      "children": [
                          {
                              "id": 10,
                              "title": null,
                              "section_id": 11,
                              "user_id": 1,
                              "pos": 0,
                              "status": "pending",
                              "parent_id": 9,
                              "revisions_count": 1,
                              "prefix": "1.1.1",
                              "children": [],
                              "section": {
                                  "id": 11,
                                  "name": "Scientific Statement",
                                  "description": null,
                                  "pos": 0,
                                  "project_id": 1,
                                  "parent_id": 10,
                                  "children": []
                              },
                              "subscription": null,
                              "contents": [
                                  {
                                      "id": 10,
                                      "item_id": 10,
                                      "project_country_id": null,
                                      "text": "<a href=\"javascript:void(0);\" id=\"395\" class=\"\">Glioblastoma is an orphan disease, affecting less than 20,000 people in the US.</a>",
                                      "clean_text": "Glioblastoma is an orphan disease, affecting less than 20,000 people in the US.",
                                      "updated_at": "2023-07-31T15:40:25.000000Z",
                                      "commentsCount": 0,
                                      "humanReadableUpdatedDate": "31 Jul 2023 at 3:40 pm",
                                      "comments": [],
                                      "item_content_attachments": [],
                                      "subscription": null,
                                      "project_country": null,
                                      "tags": [],
                                      "reference_groups": [
                                          {
                                              "id": 395,
                                              "user_id": 1,
                                              "item_content_id": 10,
                                              "created_at": "2022-10-18T14:21:35.000000Z",
                                              "updated_at": "2022-10-18T14:21:35.000000Z",
                                              "deleted_at": null,
                                              "references": [
                                                  {
                                                      "id": 447,
                                                      "attachment_id": 2,
                                                      "reference_group_id": 395,
                                                      "user_id": 1,
                                                      "pos": 419,
                                                      "created_at": "2021-09-28T09:26:08.000000Z",
                                                      "updated_at": "2021-09-28T09:26:08.000000Z",
                                                      "deleted_at": null,
                                                      "old": true,
                                                      "annotations": [
                                                          {
                                                              "id": 158591,
                                                              "attachment_id": 2,
                                                              "reference_id": 447,
                                                              "title": null,
                                                              "bodyValue": null,
                                                              "motivation": null,
                                                              "stylesheet_value": null,
                                                              "source": null,
                                                              "quadPoints": "[[70.85685483871,-74.257056451613,307.83016081779,-84.192540322581],[70.85685483871,-86.676411290322,306.74541645665,-94.482862903226],[70.85685483871,-85.257056451613,306.74541645665,-95.19254032258],[70.85685483871,-97.676411290322,283.91255040323,-105.48286290323],[70.85685483871,-96.257056451613,283.91255040323,-106.19254032258],[283.92641129032,-97.532258064516,287.08669354839,-102.5],[283.92641129032,-96.822580645161,287.08669354839,-103.20967741935],[287.0
      🔴500Server Error — JSON
      🟢200Success — XML
      🟠401Unauthorized — JSON
      🟠401Unauthorized — XML
      🔴500Server Error — XML
      Modified at 2026-04-02 11:42:21
      Previous
      Project Tags
      Next
      Project Abbreviations
      Built with